Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QIconDragItem Class Reference
[iconview module]

The QIconDragItem class encapsulates a drag item. More...

`#include <qiconview.h>`

List of all member functions.

## Public Members

- QIconDragItem ()
- virtual ~QIconDragItem ()
- virtual QByteArray data () const
- virtual void setData ( const QByteArray & d )

## Detailed Description

The QIconDragItem class encapsulates a drag item.

The QIconDrag class uses a list of QIconDragItems to support drag and drop operations.

In practice a QIconDragItem object (or an object of a class derived from QIconDragItem) is created for each icon view item which is dragged. Each of these QIconDragItems is stored in a QIconDrag object.

See QIconView::dragObject() for more information.

See the fileiconview/qfileiconview.cpp and iconview/simple_dd/main.cpp examples.

See also Drag And Drop Classes.

## Member Function Documentation

### QIconDragItem::QIconDragItem ()

Constructs a QIconDragItem with no data.

### QIconDragItem::~QIconDragItem ()`[virtual]`

Destructor.

### QByteArray QIconDragItem::data () const`[virtual]`

Returns the data contained in the QIconDragItem.

### void QIconDragItem::setData ( const QByteArray & d )`[virtual]`

Sets the data for the QIconDragItem to the data stored in the QByteArray d.

Example: fileiconview/qfileiconview.cpp.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.